tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Duffy <duff...@yahoo.com>
Subject Problem With Running Under Tomcat 4.0.6 Service On Windows 2000
Date Fri, 21 Nov 2003 12:59:56 GMT
I've got a maddening problem. I've posted it to this
forum before on 2-Oct-2003, without success. I'm
hoping to hear from some Tomcat developers or anyone
who knows Windows services very well.

I've got three Web apps, packaged into WARs, that all
use Jakarta's JSTL. The first one is an echo JSP, the
second is a JSP that allows users to type ad hoc SQL
into a textarea and returns the results, and the third
is a work app that I need to deploy for my employer.

All three apps run perfectly under Tomcat 4.1.27
running as a service on Windows 2000 on my desktop. 

The problem is that I'm deploying the work on a server
that will only have Tomcat 4.0.6. There's a
third-party vendor who deploys their app on Tomcat
4.0.6, so I'm forced to use that version.

The natural thing to do is to test all three apps
under Tomcat 4.0.6. I deployed the identical WAR files
that ran successfully under 4.1.27 and ran them under
Tomcat 4.0.6 after modifying the server.xml. The echo
JSP and ad hoc SQL tool both deploy and run
flawlessly. Both use the JSTL tag libraries without a
problem.

When I access the work app, I get a JasperException:
"No such tag redirect in the tag library imported with
prefix c".

The oddest thing is that if I run the work app under
Tomcat 4.0.6 by starting it using the startup.bat
instead of running it as a service it runs perfectly
again. No JasperException.

The Tomcat Windows service runs under the local system
account.

Yoav Shapiro suggested that I start up Tomcat with the
script instead of running it as a service. After he
heard the result he threw up his hands, saying it was
a bad interaction between Windows and Tomcat.

Why should the way in which Tomcat is started and run
make such a profound difference? Does anyone know
enough about running Windows services to comment? I
really need to make this work app run under 4.0.6.
It'll be a hard sell to ask the 3rd party vendor to
test and certify their stuff running under 4.1.27 now.
- MOD


__________________________________
Do you Yahoo!?
Free Pop-Up Blocker - Get it now
http://companion.yahoo.com/

---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org


Mime
View raw message